Package org.apache.tools.zip

# Class UnicodePathExtraField

java.lang.Object
org.apache.tools.zip.AbstractUnicodeExtraField
org.apache.tools.zip.UnicodePathExtraField

All Implemented Interfaces:
  `ZipExtraField`

    public class UnicodePathExtraField
    extends AbstractUnicodeExtraField

Info-ZIP Unicode Path Extra Field (0x7075):

Stores the UTF-8 version of the file name field as stored in the local header and central directory header.

See PKWARE's APPNOTE.TXT, section 4.6.9.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static ZipShort` | `UPATH_ID` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `UnicodePathExtraField()` |
  `UnicodePathExtraField​(java.lang.String name, byte[] bytes)` | Assemble as unicode path extension from the name given as text as well as the encoded bytes actually written to the archive.
  `UnicodePathExtraField​(java.lang.String text, byte[] bytes, int off, int len)` | Assemble as unicode path extension from the name given as text as well as the encoded bytes actually written to the archive.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ZipShort` | `getHeaderId()` | The Header-ID.

  ### Methods inherited from class org.apache.tools.zip.AbstractUnicodeExtraField

  `getCentralDirectoryData, getCentralDirectoryLength, getLocalFileDataData, getLocalFileDataLength, getNameCRC32, getUnicodeName, parseFromLocalFileData, setNameCRC32, setUnicodeName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UPATH_ID

    public static final ZipShort UPATH_ID

- ## Constructor Details

  - ### UnicodePathExtraField

    public UnicodePathExtraField()

  - ### UnicodePathExtraField

    public UnicodePathExtraField​(java.lang.String text, byte[] bytes, int off, int len)
    Assemble as unicode path extension from the name given as text as well as the encoded bytes actually written to the archive.
    Parameters:
      `text` - The file name
      `bytes` - the bytes actually written to the archive
      `off` - The offset of the encoded filename in `bytes`.
      `len` - The length of the encoded filename or comment in `bytes`.

  - ### UnicodePathExtraField

    public UnicodePathExtraField​(java.lang.String name, byte[] bytes)
    Assemble as unicode path extension from the name given as text as well as the encoded bytes actually written to the archive.
    Parameters:
      `name` - The file name
      `bytes` - the bytes actually written to the archive

- ## Method Details

  - ### getHeaderId

    public ZipShort getHeaderId()
    The Header-ID.
    Returns:
      the header id